what you don't know can hurt you

WordPress ADPlugg 1.1.33 Cross Site Scripting

WordPress ADPlugg 1.1.33 Cross Site Scripting
Posted Feb 21, 2015
Authored by Kaustubh G. Padwad

WordPress ADPlugg plugin version 1.1.33 suffers from a stored cross site scripting vulnerability.

tags | exploit, xss
MD5 | 885a0f433dbc0399ce96768436a9e1a3

WordPress ADPlugg 1.1.33 Cross Site Scripting

Change Mirror Download
=====================================================
Stored XSS Vulnerability in ADPlugg Wordpress Plugin
=====================================================

. contents:: Table Of Content

Overview
========

* Title :Stored XSS Vulnerability in ADPlugg Wordpress Plugin
* Author: Kaustubh G. Padwad
* Plugin Homepage: https://wordpress.org/plugins/adplugg/
* Severity: Medium
* Version Affected: 1.1.33 and mostly prior to it
* Version Tested : 1.1.33
* version patched: 1.1.34

Description
===========

Vulnerable Parameter
--------------------

* Access Code

About Vulnerability
-------------------
This plugin is vulnerable to a Stored cross site scripting vulnerability,This issue was exploited when administrator users with access to AdPlugg Setting in wordpress Access code parameter is vulnerable for stored XSS. A malicious administration can hijack other users session, take control of another administrator's browser or install malware on their computer.

Vulnerability Class
===================
Cross Site Scripting (https://www.owasp.org/index.php/Top_10_2013-A3-Cross-Site_Scripting_(XSS)

Steps to Reproduce: (POC)
=========================

After installing the plugin

* Goto settings --> AdPlugg
* Put This payload in Access Code "><script>alert(document.cookie)</script>
* Click on the Save Changes you will see XSS in action
* Reload the page or re navigate to page to make sure its stored ;)

Mitigation
==========
Update to Version 1.1.34

Change Log
==========
https://wordpress.org/plugins/adplugg/changelog/

Disclosure
==========
18-February-2015 reported to developer
19-February-2015 Developer acknodlage the Bug
19-February-2015 Developer Patched the Bug and Push update
21-February-2015 Public Discloser

credits
=======
* Kaustubh Padwad
* Information Security Researcher
* kingkaustubh@me.com
* https://twitter.com/s3curityb3ast
* http://breakthesec.com
* https://www.linkedin.com/in/kaustubhpadwad

Comments

RSS Feed Subscribe to this comment feed

No comments yet, be the first!

Login or Register to post a comment

File Archive:

January 2019

  • Su
  • Mo
  • Tu
  • We
  • Th
  • Fr
  • Sa
  • 1
    Jan 1st
    15 Files
  • 2
    Jan 2nd
    15 Files
  • 3
    Jan 3rd
    11 Files
  • 4
    Jan 4th
    1 Files
  • 5
    Jan 5th
    2 Files
  • 6
    Jan 6th
    5 Files
  • 7
    Jan 7th
    24 Files
  • 8
    Jan 8th
    15 Files
  • 9
    Jan 9th
    16 Files
  • 10
    Jan 10th
    23 Files
  • 11
    Jan 11th
    17 Files
  • 12
    Jan 12th
    3 Files
  • 13
    Jan 13th
    2 Files
  • 14
    Jan 14th
    18 Files
  • 15
    Jan 15th
    33 Files
  • 16
    Jan 16th
    23 Files
  • 17
    Jan 17th
    29 Files
  • 18
    Jan 18th
    0 Files
  • 19
    Jan 19th
    0 Files
  • 20
    Jan 20th
    0 Files
  • 21
    Jan 21st
    0 Files
  • 22
    Jan 22nd
    0 Files
  • 23
    Jan 23rd
    0 Files
  • 24
    Jan 24th
    0 Files
  • 25
    Jan 25th
    0 Files
  • 26
    Jan 26th
    0 Files
  • 27
    Jan 27th
    0 Files
  • 28
    Jan 28th
    0 Files
  • 29
    Jan 29th
    0 Files
  • 30
    Jan 30th
    0 Files
  • 31
    Jan 31st
    0 Files

Top Authors In Last 30 Days

File Tags

Systems

packet storm

© 2019 Packet Storm. All rights reserved.

Services
Security Services
Hosting By
Rokasec
close